## indi-aagcloudwatcher-ng 1.6+20220128183230

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
PROJECT(aagcloudwatcher CXX C)

LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/")
LIST(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../cmake_modules/")
include(GNUInstallDirs)

set (AAG_VERSION_MAJOR 1)
set (AAG_VERSION_MINOR 6)

find_package(INDI REQUIRED)
find_package(Threads REQUIRED)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${INDI_INCLUDE_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/indi_aagcloudwatcher_ng.xml.cmake ${CMAKE_CURRENT_BINARY_DIR}/indi_aagcloudwatcher_ng.xml)

include(CMakeCommon)

set(indiaag_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/indi_aagcloudwatcher_ng.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/CloudWatcherController_ng.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(indiaag indiaag_SRCS 10 cpp)
ENDIF ()

add_executable(indi_aagcloudwatcher_ng ${indiaag_SRCS})
target_link_libraries(indi_aagcloudwatcher_ng ${INDI_LIBRARIES})

set(test_SRCS
   ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/CloudWatcherController_ng.cpp
   )

IF (UNITY_BUILD)
    ENABLE_UNITY_BUILD(test test_SRCS 10 cpp)
ENDIF ()

add_executable(aagcloudwatcher_test_ng ${test_SRCS})
target_link_libraries(aagcloudwatcher_test_ng ${INDI_LIBRARIES})

install(TARGETS indi_aagcloudwatcher_ng RUNTIME DESTINATION bin)
install(TARGETS aagcloudwatcher_test_ng RUNTIME DESTINATION bin)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/indi_aagcloudwatcher_ng.xml DESTINATION ${INDI_DATA_DIR})
install(FILES indi_aagcloudwatcher_ng_sk.xml DESTINATION ${INDI_DATA_DIR})

=== debian/changelog ===
indi-aagcloudwatcher-ng (1.6+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 18:32:41 +0000

indi-aagcloudwatcher-ng (1.6-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 23:16:47 +0100

indi-aagcloudwatcher-ng (1.6-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Dec 2021 16:16:47 +0000

## indi-aagcloudwatcher-ng 1.6+20220610095218

=== debian/changelog ===
indi-aagcloudwatcher-ng (1.6+20220610095218-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 09:52:29 +0000

## indi-aagcloudwatcher-ng 1.7+20230106180155

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include(GNUInstallDirs)
 
 set (AAG_VERSION_MAJOR 1)
-set (AAG_VERSION_MINOR 6)
+set (AAG_VERSION_MINOR 7)
 
 find_package(INDI REQUIRED)
 find_package(Threads REQUIRED)

=== debian/changelog ===
indi-aagcloudwatcher-ng (1.7+20230106180155-2) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113008)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:16:10 +0200

indi-aagcloudwatcher-ng (1.7+20230106180155-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.7

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 06 Jan 2023 18:02:06 +0000

indi-aagcloudwatcher-ng (1.7+20221227105352-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.7
  * new upstream version Closes: #1026555

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 Dec 2022 10:55:10 +0000

=== debian/control ===
Source: indi-aagcloudwatcher-ng
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-aagcloudwatcher-ng
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-aagcloudwatcher-ng.git

Package: indi-aagcloudwatcher-ng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for the AAG Cloud Watcher
 This package contains the INDI driver for the AAG Cloud Watcher using
 the new INDI Weather API and with anemometer support.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
